Subject: [nemo] Jim's comments on Basic Support

From: Vijay Devarapalli <[email-masked]>
Date: Wed, 19 Nov 2003 12:04:49 -0800

hi Jim,

I have filed your comments as Issues 20 and 21 at
http://people.nokia.net/vijayd/nemo/issues.html.

>    When the Mobile Router is at home, it MAY be configured to send
>    Router Advertisements and reply to Router Solicitations on the
>    interface attached to the home link.  The value of the Router
>    Lifetime field MUST be set to zero to prevent other nodes from
>    configuring the Mobile Router as the default router.
> 
> jak> What happens if the Mobile Router advertises prefix A on the 
> home link, then moves and advertises prefix B? This could happen 
> if the Mobile Router was configured for a particular prefix on the 
> home link, then received a separate prefix when it moved away.

the above text is for the egress interface (the interface
with which the Mobile Router is attached to the home/visited
link). if the Mobile Router is not at home, it must not send
any router advertisements on its egress interface. when at
home, it maybe be configured to send out router advertisements
on its egress interface.

as for as the ingress interface (the interface on the Mobile
Network), the Mobile Router always sends router advertisements
advertising the prefix that is currently delegated/configured
for the Mobile Network.

>    A Mobile Router SHOULD NOT send unsolicited Router Advertisements
>    and SHOULD NOT reply to Router Solicitations on any egress interface
>    when that interface is attached to a visited link.  However, the
>    Mobile Router SHOULD reply with Neighbor Advertisements to Neighbor
>    Solicitations received on the egress interface, for topologically
>    correct addresses.
> 
> jak> What happens to hosts that are utilizing the router due to it 
> having sent unsolicted RAs on the egress interface on the home link 
> when the router moves away? 

that is why we recommend setting the router lifetime to zero
so that these hosts do not pick the mobile router as the
default router. they should pick some other router on the home
link.

> Wouldn't it be better just to prohibit 
> the Mobile Router from responding to RSs and sending unsolicited RAs 
> on its egress interface?

sure we can prohibit. but should we? we can do without
prohibiting it. maybe somebody will come up with something which
might need these router advertisements. it is normal router
behavior to send router advertisements on all its interfaces.

> 
>    A Mobile Router MUST NOT ignore Router Advertisements received on
>    the egress interface.  The received Router Advertisements MAY be
>    used for address configuration, default router selection or movement
>    detection.
> 
> jak> In fact, it MUST utilize these as described in the base MIP6 
> protocol for movement detection.

okay. I will modify the text.

>    In order to be able to receive packets meant for the mobile network,
>    the Home Agent advertises reachability to the mobile network.  If the
>    Home Link is configured with a prefix that is an aggregation and if
>    the Mobile Network Prefix is aggregated under that prefix, then the
>    routing updates advertising reachability to the mobile network are
>    sent only on the Home Link.  If the Home Agent is the only default
>    router on the Home Link, routes to the Mobile Network Prefix get
>    aggregated naturally under the Home Agent and the Home Agent does not
>    have to do anything special.
> 
> jak>>I'd suggest requiring the prefix to be an aggregation, or have you 
> carefully worked through a case where it isn't?

IMO, that is a deployment issue. there is another draft, targeted
at Informational, which talks about the home network.
http://www.ietf.org/internet-drafts/draft-thubert-nemo-basic-usages-00.txt.
we can add more text in this. the concensus at the WG meeting last
was to make this a WG document.

> 
>    If the Mobile Router is not authorized to use this Home Address to
>    forward packets for one or more prefixes that are present in the
>    Binding Update, the Home Agent sets the status code in the Binding
>    Acknowledgement to '142' (Not Authorized for Prefix) in order to
>    indicate this.
> 
> jak>> How, specifically, is authorization set up for a prefix between 
> the MR and HA?

using the Prefix Table on the Home Agent. ofcourse there is the
issue of filling up the Prefix Table. if the Mobile Router is
manually configured with a Mobile Network Prefix (MNP), then you
have to manually add entries to the Prefix Table. if the Mobile
Router gets the MNP through DHCPv6 based prefix delegation, the
Home Agent always acts as a DHCP relay. it is then easy for the
Home Agent to figure out which Mobile Router was delegated which
prefix.

there is a draft by Raplh Droms on extending prefix delegation
for NEMO.
http://www.ietf.org/internet-drafts/draft-droms-nemo-dhcpv6-pd-00.txt

Vijay